import request from './request.js';
const getDict = async (dictType) => {
	const res = await request.get({ url: `/dict/data/type/${dictType}` });
	return res.data;
}
const submitgb = async (data) => {
	const res = await request.post({ url: `/dangjian/xiachenganbu`, data });
	return res.data;
}
const updategb = async (data) => {
	const res = await request.post({ url: `/dangjian/xiachenganbu-update`, data });
	return res.data;
}
const submitdy = async (data) => {
	const res = await request.post({ url: `/dangjian/dangyuan`, data });
	return res.data;
}
const updatedy = async (data) => {
	const res = await request.post({ url: `/dangjian/dangyuan-update`, data });
	return res.data;
}
const getGbStatus = async () => {
	const res = await request.get({ url: `/dangjian/xiachenganbu-status` });
	return res.data;
}
const getDyStatus = async () => {
	const res = await request.get({ url: `/dangjian/dangyuan-status` });
	return res.data;
}
const getCommunity = async () => {
	const res = await request.get({ url: `/wx/addr/community` });
	return res.data;
}
// 签到 
// 查询是否是党员
const getisdy = async () => {
	const res = await request.get({ url: `/dangjian/is-dangyuan` });
	return res.data;
}
// 查询是否签到
const getqdstatus = async () => {
	const res = await request.get({ url: `/dangjian/clockin-status` });
	return res.data;
}
// 签到
const clockin = async (data) => {
	const res = await request.post({ url: `/dangjian/clockin`, data });
	return res.data;
}
export default { getDict, submitgb, submitdy, getDyStatus, getGbStatus, getCommunity, updatedy, updategb, getisdy, getqdstatus, clockin };